import { ConfirmationComponent, IConfirmationActionProps as ICoreConfirmationActionProps, IConfirmationProps as ICoreConfirmationProps, IUseConfirmationProps as ICoreUseConfirmationProps, IUseConfirmationResult } from "@reactionable/core/lib/ui/confirmation/Confirmation";
import { PropsWithChildren, ReactElement } from "react";
import { ButtonProps } from "react-bootstrap/Button";
import { IIconProps } from "../icon/Icon";
export declare type IConfirmationProps = ICoreConfirmationProps;
export declare const Confirmation: ConfirmationComponent;
export interface IConfirmationActionProps<Data> extends ICoreConfirmationActionProps<Data> {
    label?: string;
    icon?: IIconProps;
    button?: ButtonProps;
}
export declare function ConfirmationAction<Data>({ label, button, icon, children, ...props }: PropsWithChildren<IConfirmationActionProps<Data>>): ReactElement;
export declare type IUseConfirmationProps = ICoreUseConfirmationProps;
export declare const useConfirmation: (props: IUseConfirmationProps) => IUseConfirmationResult;
